RHEL 8 : php:7.4 (RHSA-2022:6541)

high Nessus Plugin ID 165236

Synopsis

The remote Red Hat host is missing one or more security updates.

Description

The remote Redhat Enterprise Linux 8 host has packages installed that are affected by multiple vulnerabilities as referenced in the RHSA-2022:6541 advisory.

- Archive_Tar: allows an unserialization attack because phar: is blocked but PHAR: is not blocked (CVE-2020-28948)

- Archive_Tar: improper filename sanitization leads to file overwrites (CVE-2020-28949)

- Archive_Tar: directory traversal due to inadequate checking of symbolic links (CVE-2020-36193)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update the affected packages.

See Also

https://access.redhat.com/security/cve/CVE-2020-28948

https://access.redhat.com/security/cve/CVE-2020-28949

https://access.redhat.com/security/cve/CVE-2020-36193

https://bugzilla.redhat.com/1904001

https://bugzilla.redhat.com/1910323

https://bugzilla.redhat.com/1942961

https://access.redhat.com/errata/RHSA-2022:6541

Plugin Details

Severity: High

ID: 165236

File Name: redhat-RHSA-2022-6541.nasl

Version: 1.3

Type: local

Agent: unix

Published: 9/17/2022

Updated: 9/19/2022

Supported Sensors: Frictionless Assessment AWS, Frictionless Assessment Azure, Frictionless Assessment Agent, Nessus Agent

Risk Information

VPR

Risk Factor: High

Score: 8.4

CVSS v2

Risk Factor: Medium

Base Score: 6.8

Temporal Score: 5.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:H/RL:OF/RC:C

CVSS Score Source: CVE-2020-28949

CVSS v3

Risk Factor: High

Base Score: 7.8

Temporal Score: 7.5

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:H/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:2.3:a:redhat:enterprise_linux:php:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-devel:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-ldap:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-odbc:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-pgsql:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-gd:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-mbstring:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-pear:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-snmp:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-xmlrpc:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-bcmath:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-cli:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-common:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-dba:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-pdo:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-soap:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-xml:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-embedded:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-enchant:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-fpm:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-intl:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-process:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-mysqlnd:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-pecl-xdebug:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:apcu-panel:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:libzip:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:libzip-devel:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:libzip-tools:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-dbg:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-gmp:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-json:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-opcache:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-pecl-apcu:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-pecl-apcu-devel:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-pecl-rrd:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-pecl-zip:*:*:*:*:*:*:*, cpe:2.3:o:redhat:rhel_eus:8.4:*:*:*:*:*:*:*, cpe:2.3:o:redhat:rhel_aus:8.4:*:*:*:*:*:*:*, cpe:2.3:o:redhat:rhel_e4s:8.4:*:*:*:*:*:*:*, cpe:2.3:o:redhat:rhel_tus:8.4:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:php-ffi:*:*:*:*:*:*:*

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 9/15/2022

Vulnerability Publication Date: 11/19/2020

CISA Known Exploited Dates: 9/15/2022

Exploitable With

Metasploit (PEAR Archive_Tar 1.4.10 Arbitrary File Write)

Reference Information

CVE: CVE-2020-28949, CVE-2020-28948, CVE-2020-36193

CWE: 20, 22, 502

RHSA: 2022:6541